curl --request GET \
--url https://api.galileo.ai/v2/integrations/custom/definition \
--header 'Splunk-AO-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/integrations/custom/definition"
headers = {"Splunk-AO-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Splunk-AO-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/integrations/custom/definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authentication_type": "api_key",
"endpoint": "<string>",
"default_model": "<string>",
"model_properties": [
{
"name": "<string>",
"alias": "<string>",
"based_on": "<string>",
"supported_parameters": [
"<string>"
]
}
],
"token": "<string>",
"api_key_header": "<string>",
"api_key_value": "<string>",
"authentication_scope": "<string>",
"oauth2_token_url": "<string>",
"headers": {},
"custom_llm_config": {
"file_name": "<string>",
"class_name": "<string>",
"init_kwargs": {}
},
"custom_header_mapping": {},
"multi_modal_config": {
"max_files": 2,
"max_file_size_bytes": 2
}
}Get custom integration definition
Return the full JSON definition of the custom integration, including decrypted secrets.
Access is controlled by the integration read-secrets policy.
Authorizations
Response
Successful Response
Response schema for the full JSON definition of a custom integration.
Returns the exact same structure used to create the integration, including decrypted sensitive fields (api_key_value, token, headers). Only accessible to users with edit permission (creator + admins).
Authentication types for custom integrations.
Values:
- none: No authentication required
- oauth2: OAuth2 token-based authentication
- api_key: API key header-based authentication
api_key, none, oauth2 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Configuration for a custom LiteLLM handler class.
Allows users to specify a custom implementation of litellm.CustomLLM that handles acompletion() calls with custom request/response transformation.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Configuration for multi-modal capabilities (file uploads).
Show child attributes
Show child attributes
Was this page helpful?